Subject: [Sip] SIP mobility in WLAN

From: "Rajarshi Chakraborty" <[email-masked]>
Date: Mon, 19 May 2003 04:41:41 +0000

Hi,

Where can I get call-flows for SIP session management in a wireless LAN 
(802.11)? 3GPP only addresses the issues for cellular networks. Or are they 
too trivial to be addressed specially? I am specially interested in 
situations of handoffs (in this case, the IP changes as soon as the host 
shifts from the zone around one hotspot to another). Should SIP bother at 
all to detect IP changes or should the control be completely outside SIP? I 
mean should it be some other module that has the responsibility of informing 
the SIP stack in the mobile host about the IP changes, so that the host may 
then send a re-INVITE with a new SDP but the call still remains active?

regards
Rajarshi

Rajarshi Chakraborty
B-196, IIT Campus,
Kharagpur,
West Bengal, India
PIN-721302

----Original Message Follows----
From: "Drage, Keith (Keith)" <[email-masked]>
To: "'Ashish Naik'" <[email-masked]>,   "Santharam, Arun [CC]" 
<[email-masked]>,   "Sip@Ietf. Org" <[email-masked]>
Subject: RE: [Sip] Session Mobility in SIP
Date: Thu, 8 May 2003 14:42:24 +0100

Your best starting point to see the architecture is 3GPP TS 23.228, with 
reference to 3GPP TS 23.002 to see how these entities fit together into the 
entire 3GPP architecture.

The SIP protocol application is covered in 3GPP TS 24.229 with example flows 
in 3GPP TS 24.228.

These documents may be found at:

ftp://ftp.3gpp.org/Specs/latest/Rel-5/ 
<ftp://ftp.3gpp.org/Specs/latest/Rel-5/>

3GPP uses these specifications over GPRS to provide mobility.

There is a parallel set of 3GPP2 specifications, substantially of common 
text, that uses the same architecture over mobile IP, instead of GPRS. These 
documents are currently in 3GPP2 comment and review.

regards

Keith

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked]

-----Original Message-----
From: Ashish Naik [mailto:[email-masked]]
Sent: 08 May 2003 06:23
To: Santharam, Arun [CC]; Sip@Ietf. Org
Subject: RE: [Sip] Session Mobility in SIP

ok. Is there any specific document on IETF and 3GPP that can explain how it 
is being addressed  ?

Ragards,
Ashish Naik
CoE Mobile Computing
-----------------------------------
Phone 4018100 Ext 3070

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Santharam, 
Arun [CC]
Sent: Wednesday, April 09, 2003 9:42 PM
To: Ashish Naik; Sip@Ietf. Org
Subject: RE: [Sip] Session Mobility in SIP

Ashish,

Please find comments inline.

Thank you

arun

-----Original Message-----
From: Ashish Naik [mailto:[email-masked]]
Sent: Wednesday, April 09, 2003 4:01 AM
To: Sip@Ietf. Org
Subject: [Sip] Session Mobility in SIP

How is SIP going to address session mobility ? Is there any initiative taken 
up for this ?

 > This has been addressed in 3GPP standards. Please refer to the 3GPP All 
IP architecture specifications.

SIP is said to be a better alternative than Mobile IP. Can I have some 
latest development document references ?

 >  SIP is not going to replace Mobile IP. It is going to leverage Mobile IP 
for session management in 3G wireless networks.

Regards,
Ashish Naik
-------------------
CoE Mobile Computing
Phone: 4018100 Ext 3070

*********************************************************
Disclaimer

This message (including any attachments) contains
confidential information intended for a specific
individual and purpose, and is protected by law.
If you are not the intended recipient, you should
delete this message and are hereby notified that
any disclosure, copying, or distribution of this
message, or the taking of any action based on it,
is strictly prohibited.

*********************************************************
Visit us at http://www.mahindrabt.com

*********************************************************
Disclaimer

This message (including any attachments) contains
confidential information intended for a specific
individual and purpose, and is protected by law.
If you are not the intended recipient, you should
delete this message and are hereby notified that
any disclosure, copying, or distribution of this
message, or the taking of any action based on it,
is strictly prohibited.

*********************************************************
Visit us at http://www.mahindrabt.com

_________________________________________________________________
Mobile, masti, magic! Cool ringtones & logos. http://www.msn.co.in/mobile/ 
Get noticed

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip